{{- range $index, $currentStage := .Values.stages }}
{{- if eq $currentStage.active true }}
{{- if eq $currentStage.redis.useRedis true }}
apiVersion: apps.openshift.io/v1
kind: DeploymentConfig
metadata:
  annotations:
    template.alpha.openshift.io/wait-for-ready: 'true'
  generation: 3
  labels:
    app: {{ $.Values.okd_project_name }}-{{ $index }}
  name: redis-{{ $.Values.okd_project_name }}-{{ $index }}
  namespace: {{ $.Values.okd_project_name }}
  selfLink: /apis/apps.openshift.io/v1/namespaces/{{ $.Values.okd_project_name }}/deploymentconfigs/redis-{{ $.Values.okd_project_name }}-{{ $index }}
spec:
  replicas: 1
  revisionHistoryLimit: 4
  selector:
    name: redis-{{ $.Values.okd_project_name }}-{{ $index }}
  strategy:
    activeDeadlineSeconds: 21600
    recreateParams:
      timeoutSeconds: 600
    resources: {}
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: {{ $.Values.okd_project_name }}-{{ $index }}
        function: redis
        name: redis-{{ $.Values.okd_project_name }}-{{ $index }}
      name: redis-{{ $.Values.okd_project_name }}-{{ $index }}
    spec:
      containers:
        - env:
            - name: REDIS_PASSWORD
              valueFrom:
                secretKeyRef:
                  key: database-password
                  name: redis-{{ $.Values.okd_project_name }}-{{ $index }}
          image: docker-registry.default.svc:5000/openshift/redis:latest
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 3
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 1
            tcpSocket:
              port: 6379
            timeoutSeconds: 1
          name: redis-{{ $.Values.okd_project_name }}-{{ $index }}
          ports:
            - containerPort: 6379
              protocol: TCP
          readinessProbe:
            exec:
              command:
                - /bin/sh
                - '-i'
                - '-c'
                - >-
                  test "$(redis-cli -h 127.0.0.1 -a $REDIS_PASSWORD ping)" ==
                  "PONG"
            failureThreshold: 3
            initialDelaySeconds: 5
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 1
          resources:
            limits:
              memory: 512Mi
              cpu: 100m
            requests:
              cpu: 100m
          securityContext:
            capabilities: {}
            privileged: false
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
            - mountPath: /var/lib/redis/data
              name: redis-data
            - mountPath: /usr/share/container-scripts/redis/post-init.sh
              name: redis-config
              subPath: post-init.sh
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
        - name: redis-data
          persistentVolumeClaim:
            claimName: redis-{{ $.Values.okd_project_name }}-{{ $index }}
        - name: redis-config
          configMap:
            defaultMode: 420
            items:
              - key: post-init.sh
                mode: 511
                path: post-init.sh
            name: redis-config-{{ $.Values.okd_project_name }}-{{ $index }}
  test: false
  triggers:
    - imageChangeParams:
        automatic: true
        containerNames:
          - redis-{{ $.Values.okd_project_name }}-{{ $index }}
        from:
          kind: ImageStreamTag
          name: 'redis:latest'
          namespace: openshift
        lastTriggeredImage: docker-registry.default.svc:5000/openshift/redis:latest
      type: ImageChange
    - type: ConfigChange
---
{{- end }}
{{- end }}
{{- end }}